import { ConfigPreset } from '../model';
export declare type ComposeParams = {
    target: string;
    user?: string;
};
export declare class ComposeService {
    private readonly root;
    protected readonly params: ComposeParams;
    static defaultParams: ComposeParams;
    constructor(root: string, params: ComposeParams);
    run(passedPresetData?: ConfigPreset): Promise<void>;
}
